org.eclipse.microprofile.lra.tck.participant.api

## Class RecoveryResource

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.api.RecoveryResource

    @Path(value="recovery-resource")
     @ApplicationScoped
    public class RecoveryResource
    extends Object

### Field Summary

Fields
`static long` `LRA_TIMEOUT`
`static String` `RECOVERY_RESOURCE_PATH`
`static String` `REQUIRED_PATH`
`static String` `REQUIRED_TIMEOUT_PATH`

### Constructor Summary

Constructors
Constructor and Description
`RecoveryResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `afterLRA(URI lraId, LRAStatus lraStatus)`
`jakarta.ws.rs.core.Response` `compensate(URI lraId)`
`jakarta.ws.rs.core.Response` `requiredLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `requiredTimeoutLRA(URI lraId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RECOVERY_RESOURCE_PATH

    public static final String RECOVERY_RESOURCE_PATH

See Also:
  Constant Field Values

#### REQUIRED_PATH

    public static final String REQUIRED_PATH

See Also:
  Constant Field Values

#### REQUIRED_TIMEOUT_PATH

    public static final String REQUIRED_TIMEOUT_PATH

See Also:
  Constant Field Values

#### LRA_TIMEOUT

    public static final long LRA_TIMEOUT

See Also:
  Constant Field Values

### Constructor Detail

#### RecoveryResource

    public RecoveryResource()

### Method Detail

#### requiredLRA

    @PUT
     @Path(value="required")
    public jakarta.ws.rs.core.Response requiredLRA(@HeaderParam(value="Long-Running-Action")
                                                                                 URI lraId)

#### requiredTimeoutLRA

    @PUT
     @Path(value="required-timeout")
    public jakarta.ws.rs.core.Response requiredTimeoutLRA(@HeaderParam(value="Long-Running-Action")
                                                                                                URI lraId)

#### compensate

    @PUT
     @Path(value="/compensate")
    public jakarta.ws.rs.core.Response compensate(@HeaderParam(value="Long-Running-Action")
                                                                                   URI lraId)

#### afterLRA

    @PUT
     @Path(value="/after")
    public jakarta.ws.rs.core.Response afterLRA(@HeaderParam(value="Long-Running-Action-Ended")
                                                                            URI lraId,
                                                                            LRAStatus lraStatus)